From 1b5d1b3a5d88b5e159b0dc5887c651532dc64f51 Mon Sep 17 00:00:00 2001
From: Egbert Eich <eich@suse.com>
Date: Mon, 16 May 2022 08:06:49 +0200
Subject: [PATCH 16/30] Fix arguments to forward_init()

Signed-off-by: Egbert Eich <eich@suse.com>
---
 src/common/slurm_protocol_api.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/src/common/slurm_protocol_api.c b/src/common/slurm_protocol_api.c
index 0b8ff24168..9d2226b140 100644
--- a/src/common/slurm_protocol_api.c
+++ b/src/common/slurm_protocol_api.c
@@ -3719,7 +3719,7 @@ List slurm_receive_resp_msgs(int fd, int steps, int timeout)
 	 *  the message.
 	 */
 	if (slurm_msg_recvfrom_timeout(fd, &buf, &buflen, 0, timeout) < 0) {
-		forward_init(&header.forward);
+	        forward_init(&header.forward, NULL);
 		rc = errno;
 		goto total_return;
 	}
-- 
2.35.3


